Bug 8948 - xsane sets itself up incorrectly as gimp plugin
Summary: xsane sets itself up incorrectly as gimp plugin
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Powertools
Classification: Retired
Component: sane   
(Show other bugs)
Version: 6.1
Hardware: All Linux
medium
low
Target Milestone: ---
Assignee: Tim Powers
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-01-28 21:00 UTC by David Baron
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-01-29 12:53:00 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description David Baron 2000-01-28 21:00:53 UTC
In xsane-0.30-2.i386.rpm , the post-install script contains the line:

ln -s ../../../bin/xsane /usr/lib/gimp/1.0/plug-ins/xsane

which is an attempt to make xsane work as a gimp plugin.  That's great,
except there's one "../" missing, so this line makes a symlink to
/usr/lib/bin/xsane instead of /usr/bin/xsane.  The line should really be:

ln -s ../../../../bin/xsane /usr/lib/gimp/1.0/plug-ins/xsane

Then it will work :-)

Comment 1 Tim Powers 2000-01-29 12:52:59 UTC
Check out xsane-0.47-2 in rawhide whenever it gets updated. It's now fixed.


Note You need to log in before you can comment on or make changes to this bug.